aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorrubo77 <github@r.z11.de>2017-07-11 00:03:42 +0200
committerrubo77 <github@r.z11.de>2017-07-11 00:03:42 +0200
commit5f625f7914d40e01720f755e38227c5be7a8f444 (patch)
tree2d3d7a5defe93b1e2e9aabb8b7f0246e06d62970
parent8625c7b90d73df582c0516fc24208f59a5453c35 (diff)
make-release.sh: set -u and -e
-rw-r--r--make-release.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/make-release.sh b/make-release.sh
index 3946c90..30f4e7c 100644
--- a/make-release.sh
+++ b/make-release.sh
@@ -9,6 +9,11 @@
## Call from site directory with the version and branch variables
## properly configured in this script.
+# report the usage of uninitialized variables, etc
+set -u
+# stop on first error (not working in if clauses)
+set -e
+
# if version is unset, will use the default experimental version from site.mk
VERSION=${3:-"2017.1.1~lede$(date '+%y%m%d%H%M')"}
# branch must be set to either experimental, beta or stable